commit:     488acab5c1132b8013a8f17480cb6f32928c875c
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri May  9 17:47:32 2025 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri May  9 17:51:37 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=488acab5

x11-libs/tslib: add 1.23, fix build w/ cmake-4

Closes: https://bugs.gentoo.org/955696
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 x11-libs/tslib/Manifest                      |  1 +
 x11-libs/tslib/files/tslib-1.23-cmake4.patch | 11 +++++
 x11-libs/tslib/tslib-1.23.ebuild             | 61 ++++++++++++++++++++++++++++
 3 files changed, 73 insertions(+)

diff --git a/x11-libs/tslib/Manifest b/x11-libs/tslib/Manifest
index d19e2a411882..fc6d780936f9 100644
--- a/x11-libs/tslib/Manifest
+++ b/x11-libs/tslib/Manifest
@@ -1 +1,2 @@
 DIST tslib-1.22.tar.xz 351192 BLAKE2B 
8cec9fe17b9aee7dac44bf54a78482b81a67072a7c1497b4c5a2a6703bb0e897a2481bc06df0fd91ca97fef3b4ebf17c475c3b717ce7f32fb677db5918630759
 SHA512 
8f51fc5e37bb1babb89e8d6d5302c7d7b712820525bed0253f980028a78b343e4100065bbe0ecafb828a7edf3a9b77f96929ab79205d516ebbf6c25b32af0008
+DIST tslib-1.23.tar.xz 360140 BLAKE2B 
7cba3a4f9ddb91a1325c6fbfbd6d1c5d42e1847e82199eff329206519fe88da05ee7ca1d0f72ddd8b8d303d122208e74a98a07f642dafc359c29a99c284f34c6
 SHA512 
0fbd8e859fe7c24410a1436d3e12f618775e8594dc720ff98d12c8e8cef1ad07a36eb6f5911b2c4d976cc32ab75dd8988bd814379e1b7d8d35d88d7cf2b44dd1

diff --git a/x11-libs/tslib/files/tslib-1.23-cmake4.patch 
b/x11-libs/tslib/files/tslib-1.23-cmake4.patch
new file mode 100644
index 000000000000..e4c26352d018
--- /dev/null
+++ b/x11-libs/tslib/files/tslib-1.23-cmake4.patch
@@ -0,0 +1,11 @@
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -8,7 +8,7 @@
+ #
+ #
+ 
+-cmake_minimum_required(VERSION 3.3)
++cmake_minimum_required(VERSION 3.5)
+ 
+ project(tslib LANGUAGES C)
+ 

diff --git a/x11-libs/tslib/tslib-1.23.ebuild b/x11-libs/tslib/tslib-1.23.ebuild
new file mode 100644
index 000000000000..141b18585de7
--- /dev/null
+++ b/x11-libs/tslib/tslib-1.23.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake-multilib
+
+DESCRIPTION="Touchscreen Access Library"
+HOMEPAGE="https://github.com/kergoth/tslib";
+SRC_URI="https://github.com/libts/tslib/releases/download/${PV}/${P}.tar.xz";
+
+LICENSE="LGPL-2 uinput? ( GPL-2+ )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+IUSE="evdev sdl uinput"
+
+DEPEND="
+       evdev? ( dev-libs/libevdev[${MULTILIB_USEDEP}] )
+       sdl? ( media-libs/libsdl2[${MULTILIB_USEDEP}] )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="evdev? ( virtual/pkgconfig )"
+
+DOCS=( AUTHORS NEWS README{,.md} )
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.21-optional-utils.patch"
+       "${FILESDIR}/${P}-cmake4.patch" # bug 955696
+)
+
+src_configure() {
+       my_configure() {
+               local mycmakeargs=(
+                       -Denable-input-evdev=$(usex evdev)
+                       -DENABLE_TOOLS=$(usex uinput $(multilib_is_native_abi 
&& echo ON || echo OFF) OFF)
+                       -DENABLE_UTILS=$(multilib_is_native_abi && echo ON || 
echo OFF)
+                       -Denable-arctic2=ON
+                       -Denable-collie=ON
+                       -Denable-corgi=ON
+                       -Denable-cy8mrln-palmpre=ON
+                       -Denable-dejitter=ON
+                       -Denable-dmc=ON
+                       -Denable-dmc_dus3000=ON
+                       -Denable-galax=ON
+                       -Denable-h3600=ON
+                       -Denable-input=ON
+                       -Denable-linear-h2200=ON
+                       -Denable-linear=ON
+                       -Denable-mk712=ON
+                       -Denable-one-wire-ts-input=ON
+                       -Denable-pthres=ON
+                       -Denable-tatung=ON
+                       -Denable-ucb1x00=ON
+                       -Denable-variance=ON
+               )
+               multilib_is_native_abi && mycmakeargs+=( -Dwith-sdl=$(usex sdl) 
)
+
+               cmake_src_configure
+       }
+       multilib_parallel_foreach_abi my_configure
+}

Reply via email to